### Function

# Gimp Image convert_set_dither_matrix

since: 2.4

#### Declaration [src]

    gboolean
    gimp_image_convert_set_dither_matrix (
      gint width,
      gint height,
      gint matrix_length,
      const guint8* matrix
    )

#### Description [src]

Set dither matrix for conversion to indexed

This procedure sets the dither matrix used when converting images to INDEXED mode with positional dithering.

Available since: 2.4

#### Parameters

`width`

  Type: `gint`

  Width of the matrix (0 to reset to default matrix).

`height`

  Type: `gint`

  Height of the matrix (0 to reset to default matrix).

`matrix_length`

  Type: `gint`

  The length of ‘matrix’.

`matrix`

  Type: An array of `guint8`

  The matrix — all values must be >= 1.

  The length of the array is specified in the `matrix_length` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.